[arch-commits] Commit in vim/repos/extra-i686 (10 files)

Eric Bélanger eric at archlinux.org
Tue Jan 17 03:35:34 UTC 2012


    Date: Monday, January 16, 2012 @ 22:35:34
  Author: eric
Revision: 146755

archrelease: copy trunk to extra-i686

Added:
  vim/repos/extra-i686/PKGBUILD
    (from rev 146754, vim/trunk/PKGBUILD)
  vim/repos/extra-i686/archlinux.vim
    (from rev 146754, vim/trunk/archlinux.vim)
  vim/repos/extra-i686/gvim.desktop
    (from rev 146754, vim/trunk/gvim.desktop)
  vim/repos/extra-i686/gvim.install
    (from rev 146754, vim/trunk/gvim.install)
  vim/repos/extra-i686/vimrc
    (from rev 146754, vim/trunk/vimrc)
Deleted:
  vim/repos/extra-i686/PKGBUILD
  vim/repos/extra-i686/archlinux.vim
  vim/repos/extra-i686/gvim.desktop
  vim/repos/extra-i686/gvim.install
  vim/repos/extra-i686/vimrc

---------------+
 PKGBUILD      |  392 ++++++++++++++++++++++++++++----------------------------
 archlinux.vim |   52 +++----
 gvim.desktop  |  126 +++++++++---------
 gvim.install  |   22 +--
 vimrc         |   32 ++--
 5 files changed, 312 insertions(+), 312 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2012-01-17 03:35:08 UTC (rev 146754)
+++ PKGBUILD	2012-01-17 03:35:34 UTC (rev 146755)
@@ -1,196 +0,0 @@
-# $Id$
-# Contributor: Jan "heftig" Steffens <jan.steffens at gmail.com>
-# Maintainer: tobias [ tobias at archlinux org ]
-# Maintainer: Daniel J Griffiths <ghost1227 at archlinux.us>
-
-pkgbase=vim
-pkgname=('vim' 'gvim' 'vim-runtime')
-_topver=7.3
-_patchlevel=401
-__hgrev=0dabc2ce136c
-_versiondir="vim${_topver//./}"
-pkgver=${_topver}.${_patchlevel}
-pkgrel=1
-arch=('i686' 'x86_64')
-license=('custom:vim')
-url="http://www.vim.org"
-makedepends=('gpm' 'python2' 'ruby' 'libxt' 'desktop-file-utils' 'gtk2' 'lua')
-source=(ftp://ftp.archlinux.org/other/vim/${pkgname}-${pkgver}.tar.xz{,.sig}
-        pythoncomplete.vim::http://www.vim.org/scripts/download_script.php\?src_id=10872
-        vimrc archlinux.vim gvim.desktop)
-sha1sums=('99498cb48c0c720ae9972a6cd33d4926bdf733b7'
-          '72e9e1eff158e8acceeeb96279085214cbefb3ac'
-          '4d9dcfb32874aa5467e6f06e418aeb4e675daaf2'
-          '3494baf53a63581ba69f86a81293640ff681c5c5'
-          '25dd3c2ce436e73a367c8f73b68f7f6889682437'
-          '4a579cf66590d711f49c5dfb4a25e5df116ff7ba')
-
-# source PKGBUILD && mksource
-mksource() {
-
-  [[ -x /usr/bin/hg ]] || (echo "hg not found. Install mercurial." && return 1)
-
-  __hgroot='http://vim.googlecode.com/hg/'
-  __hgrepo='vim'
-  __hgbranch='default'
-
-  hg clone -b ${__hgbranch} -u ${__hgrev} "${__hgroot}${__hgrepo}" ${__hgrepo}
-
-  pushd ${__hgrepo}
-  if (( $(hg id -n) < $(hg id -nr ${__hgbranch}) )); then
-    printf 'You are not building the latest revision!\n'
-    printf "Consider updating __hgrev to $(hg id -r ${__hgbranch}).\n"
-  fi
-  popd
-
-  mv vim ${pkgname}-${pkgver}
-  find ${pkgname}-${pkgver} -depth -type d -name .hg -exec rm -rf {} \;
-  rm ${pkgname}-${pkgver}/{.hgignore,.hgtags}
-  tar -cJf ${pkgname}-${pkgver}.tar.xz ${pkgname}-${pkgver}/*
-  rm -r ${pkgname}-${pkgver}
-}
-
-build() {
-  cd "${srcdir}"
-
-  cp -a ${pkgname}-${pkgver} vim-build
-
-  # define the place for the global (g)vimrc file (set to /etc/vimrc)
-  sed -i 's|^.*\(#define SYS_.*VIMRC_FILE.*"\) .*$|\1|' \
-    vim-build/src/feature.h
-  sed -i 's|^.*\(#define VIMRC_FILE.*"\) .*$|\1|' \
-    vim-build/src/feature.h
-  # fix python name
-  sed -i -e 's|vi_cv_path_python, python|vi_cv_path_python, python2|' \
-    vim-build/src/configure.in
-  (cd vim-build/src && autoconf)
-
-  cp -a vim-build gvim-build
-
-  cd "${srcdir}"/vim-build
-
-  ./configure --prefix=/usr --localstatedir=/var/lib/vim \
-    --with-features=big --with-compiledby=ArchLinux \
-    --enable-gpm --enable-acl --with-x=no \
-    --disable-gui --enable-multibyte --enable-cscope \
-    --disable-netbeans --enable-perlinterp --disable-pythoninterp \
-    --disable-python3interp --disable-rubyinterp --disable-luainterp
-
-  make
-
-  cd "${srcdir}"/gvim-build
-
-  ./configure --prefix=/usr --localstatedir=/var/lib/vim \
-    --with-features=big --with-compiledby=ArchLinux \
-    --enable-gpm --enable-acl --with-x=yes \
-    --enable-gui=gtk2 --enable-multibyte --enable-cscope \
-    --enable-netbeans --enable-perlinterp --enable-pythoninterp \
-    --disable-python3interp --enable-rubyinterp --enable-luainterp
-
-  make
-}
-
-package_vim() {
-  pkgdesc='Vi Improved, a highly configurable, improved version of the vi text editor'
-  depends=("vim-runtime=${pkgver}-${pkgrel}" 'gpm')
-  conflicts=('gvim')
-
-  cd "${srcdir}"/vim-build
-  make -j1 VIMRCLOC=/etc DESTDIR="${pkgdir}" install
-
-  # provided by (n)vi in core
-  rm "${pkgdir}"/usr/bin/{ex,view}
-
-  # delete some manpages
-  find "${pkgdir}"/usr/share/man -type d -name 'man1' 2>/dev/null | \
-    while read _mandir; do
-    cd ${_mandir}
-    rm -f ex.1 view.1 # provided by (n)vi
-    rm -f evim.1    # this does not make sense if we have no GUI
-  done
-
-  # Runtime provided by runtime package
-  rm -r "${pkgdir}"/usr/share/vim
-
-  # license
-  install -Dm644 "${srcdir}"/vim-${pkgver}/runtime/doc/uganda.txt \
-    "${pkgdir}"/usr/share/licenses/${pkgname}/license.txt
-}
-
-package_gvim() {
-  pkgdesc='Vi Improved, a highly configurable, improved version of the vi text editor (with advanced features, such as a GUI)'
-  depends=("vim-runtime=${pkgver}-${pkgrel}" 'gpm' 'ruby' 'libxt'
-           'desktop-file-utils' 'gtk2' 'lua' 'python2')
-  provides=("vim=${pkgver}-${pkgrel}")
-  conflicts=('vim')
-  install=gvim.install
-
-  cd "${srcdir}"/gvim-build
-  make -j1 VIMRCLOC=/etc DESTDIR="${pkgdir}" install
-
-  # provided by (n)vi in core
-  rm "${pkgdir}"/usr/bin/{ex,view}
-
-  # delete some manpages
-  find "${pkgdir}"/usr/share/man -type d -name 'man1' 2>/dev/null | \
-    while read _mandir; do
-    cd ${_mandir}
-    rm -f ex.1 view.1 # provided by (n)vi
-  done
-
-  # Move the runtime for later packaging
-  mv "${pkgdir}"/usr/share/vim "${srcdir}"/runtime-install
-
-  # freedesktop links
-  install -Dm644 "${srcdir}"/gvim.desktop \
-    "${pkgdir}"/usr/share/applications/gvim.desktop
-  install -Dm644 runtime/vim48x48.png "${pkgdir}"/usr/share/pixmaps/gvim.png
-
-  # license
-   install -Dm644 "${srcdir}"/vim-${pkgver}/runtime/doc/uganda.txt \
-    "${pkgdir}"/usr/share/licenses/${pkgname}/license.txt
-}
-
-package_vim-runtime() {
-  pkgdesc='Runtime for vim and gvim'
-  depends=('perl' 'gawk')
-  backup=('etc/vimrc')
-
-  # Install the runtime split from gvim
-  install -dm755 "${pkgdir}"/usr/share
-  mv "${srcdir}"/runtime-install "${pkgdir}"/usr/share/vim
-
-  # Don't forget logtalk.dict
-  install -Dm644 "${srcdir}"/gvim-build/runtime/ftplugin/logtalk.dict \
-    "${pkgdir}"/usr/share/vim/${_versiondir}/ftplugin/logtalk.dict
-
-  # fix FS#17216
-  sed -i 's|messages,/var|messages,/var/log/messages.log,/var|' \
-    "${pkgdir}"/usr/share/vim/${_versiondir}/filetype.vim
-
-  # patch filetype.vim for better handling of pacman related files
-  sed -i "s/rpmsave/pacsave/;s/rpmnew/pacnew/;s/,\*\.ebuild/\0,PKGBUILD*,*.install/" \
-    "${pkgdir}"/usr/share/vim/${_versiondir}/filetype.vim
-  sed -i "/find the end/,+3{s/changelog_date_entry_search/changelog_date_end_entry_search/}" \
-    "${pkgdir}"/usr/share/vim/${_versiondir}/ftplugin/changelog.vim
-
-  # make Aaron happy
-  install -Dm644 "${srcdir}"/pythoncomplete.vim \
-    "${pkgdir}"/usr/share/vim/${_versiondir}/autoload/pythoncomplete.vim
-  
-  # rc files
-  install -Dm644 "${srcdir}"/vimrc "${pkgdir}"/etc/vimrc
-  install -Dm644 "${srcdir}"/archlinux.vim \
-    "${pkgdir}"/usr/share/vim/vimfiles/archlinux.vim
-
-  # rgb.txt file
-  install -Dm644 "${srcdir}"/vim-${pkgver}/runtime/rgb.txt \
-    "${pkgdir}"/usr/share/vim/${_versiondir}/rgb.txt
-
-  # license
-  install -dm755 "${pkgdir}"/usr/share/licenses/vim-runtime
-  ln -s /usr/share/vim/${_versiondir}/doc/uganda.txt \
-    "${pkgdir}"/usr/share/licenses/vim-runtime/license.txt
-}
-
-# vim:set sw=2 sts=2 et:

Copied: vim/repos/extra-i686/PKGBUILD (from rev 146754, vim/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2012-01-17 03:35:34 UTC (rev 146755)
@@ -0,0 +1,196 @@
+# $Id$
+# Contributor: Jan "heftig" Steffens <jan.steffens at gmail.com>
+# Maintainer: tobias [ tobias at archlinux org ]
+# Maintainer: Daniel J Griffiths <ghost1227 at archlinux.us>
+
+pkgbase=vim
+pkgname=('vim' 'gvim' 'vim-runtime')
+_topver=7.3
+_patchlevel=401
+__hgrev=0dabc2ce136c
+_versiondir="vim${_topver//./}"
+pkgver=${_topver}.${_patchlevel}
+pkgrel=1
+arch=('i686' 'x86_64')
+license=('custom:vim')
+url="http://www.vim.org"
+makedepends=('gpm' 'python2' 'ruby' 'libxt' 'desktop-file-utils' 'gtk2' 'lua')
+source=(ftp://ftp.archlinux.org/other/vim/${pkgname}-${pkgver}.tar.xz{,.sig}
+        pythoncomplete.vim::http://www.vim.org/scripts/download_script.php\?src_id=10872
+        vimrc archlinux.vim gvim.desktop)
+sha1sums=('99498cb48c0c720ae9972a6cd33d4926bdf733b7'
+          'ad14ce56f99ae1a86c96c5a5d0f44e48ad18a00e'
+          '4d9dcfb32874aa5467e6f06e418aeb4e675daaf2'
+          '3494baf53a63581ba69f86a81293640ff681c5c5'
+          '25dd3c2ce436e73a367c8f73b68f7f6889682437'
+          '4a579cf66590d711f49c5dfb4a25e5df116ff7ba')
+
+# source PKGBUILD && mksource
+mksource() {
+
+  [[ -x /usr/bin/hg ]] || (echo "hg not found. Install mercurial." && return 1)
+
+  __hgroot='http://vim.googlecode.com/hg/'
+  __hgrepo='vim'
+  __hgbranch='default'
+
+  hg clone -b ${__hgbranch} -u ${__hgrev} "${__hgroot}${__hgrepo}" ${__hgrepo}
+
+  pushd ${__hgrepo}
+  if (( $(hg id -n) < $(hg id -nr ${__hgbranch}) )); then
+    printf 'You are not building the latest revision!\n'
+    printf "Consider updating __hgrev to $(hg id -r ${__hgbranch}).\n"
+  fi
+  popd
+
+  mv vim ${pkgname}-${pkgver}
+  find ${pkgname}-${pkgver} -depth -type d -name .hg -exec rm -rf {} \;
+  rm ${pkgname}-${pkgver}/{.hgignore,.hgtags}
+  tar -cJf ${pkgname}-${pkgver}.tar.xz ${pkgname}-${pkgver}/*
+  rm -r ${pkgname}-${pkgver}
+}
+
+build() {
+  cd "${srcdir}"
+
+  cp -a ${pkgname}-${pkgver} vim-build
+
+  # define the place for the global (g)vimrc file (set to /etc/vimrc)
+  sed -i 's|^.*\(#define SYS_.*VIMRC_FILE.*"\) .*$|\1|' \
+    vim-build/src/feature.h
+  sed -i 's|^.*\(#define VIMRC_FILE.*"\) .*$|\1|' \
+    vim-build/src/feature.h
+  # fix python name
+  sed -i -e 's|vi_cv_path_python, python|vi_cv_path_python, python2|' \
+    vim-build/src/configure.in
+  (cd vim-build/src && autoconf)
+
+  cp -a vim-build gvim-build
+
+  cd "${srcdir}"/vim-build
+
+  ./configure --prefix=/usr --localstatedir=/var/lib/vim \
+    --with-features=big --with-compiledby=ArchLinux \
+    --enable-gpm --enable-acl --with-x=no \
+    --disable-gui --enable-multibyte --enable-cscope \
+    --disable-netbeans --enable-perlinterp --disable-pythoninterp \
+    --disable-python3interp --disable-rubyinterp --disable-luainterp
+
+  make
+
+  cd "${srcdir}"/gvim-build
+
+  ./configure --prefix=/usr --localstatedir=/var/lib/vim \
+    --with-features=big --with-compiledby=ArchLinux \
+    --enable-gpm --enable-acl --with-x=yes \
+    --enable-gui=gtk2 --enable-multibyte --enable-cscope \
+    --enable-netbeans --enable-perlinterp --enable-pythoninterp \
+    --disable-python3interp --enable-rubyinterp --enable-luainterp
+
+  make
+}
+
+package_vim() {
+  pkgdesc='Vi Improved, a highly configurable, improved version of the vi text editor'
+  depends=("vim-runtime=${pkgver}-${pkgrel}" 'gpm')
+  conflicts=('gvim')
+
+  cd "${srcdir}"/vim-build
+  make -j1 VIMRCLOC=/etc DESTDIR="${pkgdir}" install
+
+  # provided by (n)vi in core
+  rm "${pkgdir}"/usr/bin/{ex,view}
+
+  # delete some manpages
+  find "${pkgdir}"/usr/share/man -type d -name 'man1' 2>/dev/null | \
+    while read _mandir; do
+    cd ${_mandir}
+    rm -f ex.1 view.1 # provided by (n)vi
+    rm -f evim.1    # this does not make sense if we have no GUI
+  done
+
+  # Runtime provided by runtime package
+  rm -r "${pkgdir}"/usr/share/vim
+
+  # license
+  install -Dm644 "${srcdir}"/vim-${pkgver}/runtime/doc/uganda.txt \
+    "${pkgdir}"/usr/share/licenses/${pkgname}/license.txt
+}
+
+package_gvim() {
+  pkgdesc='Vi Improved, a highly configurable, improved version of the vi text editor (with advanced features, such as a GUI)'
+  depends=("vim-runtime=${pkgver}-${pkgrel}" 'gpm' 'ruby' 'libxt'
+           'desktop-file-utils' 'gtk2' 'lua' 'python2')
+  provides=("vim=${pkgver}-${pkgrel}")
+  conflicts=('vim')
+  install=gvim.install
+
+  cd "${srcdir}"/gvim-build
+  make -j1 VIMRCLOC=/etc DESTDIR="${pkgdir}" install
+
+  # provided by (n)vi in core
+  rm "${pkgdir}"/usr/bin/{ex,view}
+
+  # delete some manpages
+  find "${pkgdir}"/usr/share/man -type d -name 'man1' 2>/dev/null | \
+    while read _mandir; do
+    cd ${_mandir}
+    rm -f ex.1 view.1 # provided by (n)vi
+  done
+
+  # Move the runtime for later packaging
+  mv "${pkgdir}"/usr/share/vim "${srcdir}"/runtime-install
+
+  # freedesktop links
+  install -Dm644 "${srcdir}"/gvim.desktop \
+    "${pkgdir}"/usr/share/applications/gvim.desktop
+  install -Dm644 runtime/vim48x48.png "${pkgdir}"/usr/share/pixmaps/gvim.png
+
+  # license
+   install -Dm644 "${srcdir}"/vim-${pkgver}/runtime/doc/uganda.txt \
+    "${pkgdir}"/usr/share/licenses/${pkgname}/license.txt
+}
+
+package_vim-runtime() {
+  pkgdesc='Runtime for vim and gvim'
+  depends=('perl' 'gawk')
+  backup=('etc/vimrc')
+
+  # Install the runtime split from gvim
+  install -dm755 "${pkgdir}"/usr/share
+  mv "${srcdir}"/runtime-install "${pkgdir}"/usr/share/vim
+
+  # Don't forget logtalk.dict
+  install -Dm644 "${srcdir}"/gvim-build/runtime/ftplugin/logtalk.dict \
+    "${pkgdir}"/usr/share/vim/${_versiondir}/ftplugin/logtalk.dict
+
+  # fix FS#17216
+  sed -i 's|messages,/var|messages,/var/log/messages.log,/var|' \
+    "${pkgdir}"/usr/share/vim/${_versiondir}/filetype.vim
+
+  # patch filetype.vim for better handling of pacman related files
+  sed -i "s/rpmsave/pacsave/;s/rpmnew/pacnew/;s/,\*\.ebuild/\0,PKGBUILD*,*.install/" \
+    "${pkgdir}"/usr/share/vim/${_versiondir}/filetype.vim
+  sed -i "/find the end/,+3{s/changelog_date_entry_search/changelog_date_end_entry_search/}" \
+    "${pkgdir}"/usr/share/vim/${_versiondir}/ftplugin/changelog.vim
+
+  # make Aaron happy
+  install -Dm644 "${srcdir}"/pythoncomplete.vim \
+    "${pkgdir}"/usr/share/vim/${_versiondir}/autoload/pythoncomplete.vim
+  
+  # rc files
+  install -Dm644 "${srcdir}"/vimrc "${pkgdir}"/etc/vimrc
+  install -Dm644 "${srcdir}"/archlinux.vim \
+    "${pkgdir}"/usr/share/vim/vimfiles/archlinux.vim
+
+  # rgb.txt file
+  install -Dm644 "${srcdir}"/vim-${pkgver}/runtime/rgb.txt \
+    "${pkgdir}"/usr/share/vim/${_versiondir}/rgb.txt
+
+  # license
+  install -dm755 "${pkgdir}"/usr/share/licenses/vim-runtime
+  ln -s /usr/share/vim/${_versiondir}/doc/uganda.txt \
+    "${pkgdir}"/usr/share/licenses/vim-runtime/license.txt
+}
+
+# vim:set sw=2 sts=2 et:

Deleted: archlinux.vim
===================================================================
--- archlinux.vim	2012-01-17 03:35:08 UTC (rev 146754)
+++ archlinux.vim	2012-01-17 03:35:34 UTC (rev 146755)
@@ -1,26 +0,0 @@
-" The ArchLinux global vimrc - setting only a few sane defaults
-"
-" Maintainer:      Tobias Kieslich [tobias funnychar archlinux dot org]
-"
-" NEVER EDIT THIS FILE, IT'S OVERWRITTEN UPON UPGRADES, GLOBAL CONFIGURATION
-" SHALL BE DONE IN /etc/vimrc, USER SPECIFIC CONFIGURATION IN ~/.vimrc
-
-" Normally we use vim-extensions. If you want true vi-compatibility
-" remove change the following statements
-set nocompatible                " Use Vim defaults instead of 100% vi compatibility
-set backspace=indent,eol,start  " more powerful backspacing
-
-" Now we set some defaults for the editor
-set history=50                  " keep 50 lines of command line history
-set ruler                       " show the cursor position all the time
-
-" Suffixes that get lower priority when doing tab completion for filenames.
-" These are files we are not likely to want to edit or read.
-set suffixes=.bak,~,.swp,.o,.info,.aux,.log,.dvi,.bbl,.blg,.brf,.cb,.ind,.idx,.ilg,.inx,.out,.toc
-
-
-if has('gui_running')
-  " Make shift-insert work like in Xterm
-  map <S-Insert> <MiddleMouse>
-  map! <S-Insert> <MiddleMouse>
-endif

Copied: vim/repos/extra-i686/archlinux.vim (from rev 146754, vim/trunk/archlinux.vim)
===================================================================
--- archlinux.vim	                        (rev 0)
+++ archlinux.vim	2012-01-17 03:35:34 UTC (rev 146755)
@@ -0,0 +1,26 @@
+" The ArchLinux global vimrc - setting only a few sane defaults
+"
+" Maintainer:      Tobias Kieslich [tobias funnychar archlinux dot org]
+"
+" NEVER EDIT THIS FILE, IT'S OVERWRITTEN UPON UPGRADES, GLOBAL CONFIGURATION
+" SHALL BE DONE IN /etc/vimrc, USER SPECIFIC CONFIGURATION IN ~/.vimrc
+
+" Normally we use vim-extensions. If you want true vi-compatibility
+" remove change the following statements
+set nocompatible                " Use Vim defaults instead of 100% vi compatibility
+set backspace=indent,eol,start  " more powerful backspacing
+
+" Now we set some defaults for the editor
+set history=50                  " keep 50 lines of command line history
+set ruler                       " show the cursor position all the time
+
+" Suffixes that get lower priority when doing tab completion for filenames.
+" These are files we are not likely to want to edit or read.
+set suffixes=.bak,~,.swp,.o,.info,.aux,.log,.dvi,.bbl,.blg,.brf,.cb,.ind,.idx,.ilg,.inx,.out,.toc
+
+
+if has('gui_running')
+  " Make shift-insert work like in Xterm
+  map <S-Insert> <MiddleMouse>
+  map! <S-Insert> <MiddleMouse>
+endif

Deleted: gvim.desktop
===================================================================
--- gvim.desktop	2012-01-17 03:35:08 UTC (rev 146754)
+++ gvim.desktop	2012-01-17 03:35:34 UTC (rev 146755)
@@ -1,63 +0,0 @@
-[Desktop Entry]
-Name=Vi IMproved
-Name[bg]=Vi Ðåäàêòîð
-Name[ca]=Vi Millorat
-Name[da]=Vi forbedret
-Name[eo]=VIM
-Name[et]=Täiustatud Vi (vim)
-Name[fr]=Vi étendu (VIM)
-Name[he]=רפושמ Vi
-Name[hu]=Vi
-Name[is]=Vi IMproved ritillinn
-Name[it]=Vi iMproved
-Name[no]=Vi IMproved (forbedret VI)
-Name[pl]=Poprawiony VI (vim)
-Name[ro]=VIM
-Name[ru]=Улучшенный VI
-Name[sk]=Vi IMpreved
-Name[sl]=Izboljšani vi (vim)
-Name[sv]=Förbättrad Vi
-Name[zh_CN.GB2312]=改进的 Vi
-Comment=Powerful text editor with scripting functions and macro recorder
-Comment[bg]=Ðåäàêòîð ñ ìíîãî âúçìîæíîñòè
-Comment[ca]=Editor vi potent
-Comment[cs]=Mocný textový editor vi
-Comment[da]=En kraftig vi tekstbehandler
-Comment[de]=Ein leistungsfähiger vi-Editor
-Comment[el]=Πανίσχυρος διορθωτής vi
-Comment[eo]=VIM similas al redaktilo "vi", sed havas aldonajn ecojn
-Comment[es]=Una versión mejorada del editor vi
-Comment[et]=Võimas tekstiredaktor vi
-Comment[fi]=Tehokas vi-tekstieditori
-Comment[fr]=Éditeur vi puissant
-Comment[gl]=Potente editor vi
-Comment[he]=Vi המצועה בר ךרועה
-Comment[hr]=Napredni vi uređivač
-Comment[hu]=Vi szövegszerkesztő
-Comment[is]=Öflug útgáfa vi ritilsins
-Comment[it]=Un editor vi potenziato
-Comment[ja]=強力なViエディタ
-Comment[lt]=Galingas vi redaktorius
-Comment[mk]=Моќен VI уредувач
-Comment[nl]=Krachtige vi-editor
-Comment[no]=En kraftig vi-redigerer
-Comment[no_NY]=Kraftig vi-tekstredigeringsprogram
-Comment[pl]=Edytor vi
-Comment[pt]=Um poderoso editor de texto
-Comment[ro]=Un editor de texte VI, puternic
-Comment[ru]=Мощный текстовый редактор vi
-Comment[sk]=Silný textový procesor vi
-Comment[sl]=Zmogljivi urejevalnik vi
-Comment[sr]=Moćni vi editor
-Comment[sv]=En kraftfull texteditor
-Comment[ta]=ºì¾¢Å¡öó¾ vi ¦¾¡ÌôÀ¡Ç÷
-Comment[tr]=Güçlü vi düzenleyicisi
-Comment[uk]=Потужний редактор vi
-Comment[zh_CN.GB2312]=功能强大的 vi 编辑器
-MimeType=text/english;text/plain;text/x-makefile;text/x-c++hdr;text/x-c++src;text/x-chdr;text/x-csrc;text/x-java;text/x-moc;text/x-pascal;text/x-tcl;text/x-tex;application/x-shellscript;text/x-c;text/x-c++;
-Exec=gvim -f %F
-Icon=gvim
-Type=Application
-Terminal=false
-X-XClassHintResName=VIM
-Categories=Utility;TextEditor;

Copied: vim/repos/extra-i686/gvim.desktop (from rev 146754, vim/trunk/gvim.desktop)
===================================================================
--- gvim.desktop	                        (rev 0)
+++ gvim.desktop	2012-01-17 03:35:34 UTC (rev 146755)
@@ -0,0 +1,63 @@
+[Desktop Entry]
+Name=Vi IMproved
+Name[bg]=Vi Ðåäàêòîð
+Name[ca]=Vi Millorat
+Name[da]=Vi forbedret
+Name[eo]=VIM
+Name[et]=Täiustatud Vi (vim)
+Name[fr]=Vi étendu (VIM)
+Name[he]=רפושמ Vi
+Name[hu]=Vi
+Name[is]=Vi IMproved ritillinn
+Name[it]=Vi iMproved
+Name[no]=Vi IMproved (forbedret VI)
+Name[pl]=Poprawiony VI (vim)
+Name[ro]=VIM
+Name[ru]=Улучшенный VI
+Name[sk]=Vi IMpreved
+Name[sl]=Izboljšani vi (vim)
+Name[sv]=Förbättrad Vi
+Name[zh_CN.GB2312]=改进的 Vi
+Comment=Powerful text editor with scripting functions and macro recorder
+Comment[bg]=Ðåäàêòîð ñ ìíîãî âúçìîæíîñòè
+Comment[ca]=Editor vi potent
+Comment[cs]=Mocný textový editor vi
+Comment[da]=En kraftig vi tekstbehandler
+Comment[de]=Ein leistungsfähiger vi-Editor
+Comment[el]=Πανίσχυρος διορθωτής vi
+Comment[eo]=VIM similas al redaktilo "vi", sed havas aldonajn ecojn
+Comment[es]=Una versión mejorada del editor vi
+Comment[et]=Võimas tekstiredaktor vi
+Comment[fi]=Tehokas vi-tekstieditori
+Comment[fr]=Éditeur vi puissant
+Comment[gl]=Potente editor vi
+Comment[he]=Vi המצועה בר ךרועה
+Comment[hr]=Napredni vi uređivač
+Comment[hu]=Vi szövegszerkesztő
+Comment[is]=Öflug útgáfa vi ritilsins
+Comment[it]=Un editor vi potenziato
+Comment[ja]=強力なViエディタ
+Comment[lt]=Galingas vi redaktorius
+Comment[mk]=Моќен VI уредувач
+Comment[nl]=Krachtige vi-editor
+Comment[no]=En kraftig vi-redigerer
+Comment[no_NY]=Kraftig vi-tekstredigeringsprogram
+Comment[pl]=Edytor vi
+Comment[pt]=Um poderoso editor de texto
+Comment[ro]=Un editor de texte VI, puternic
+Comment[ru]=Мощный текстовый редактор vi
+Comment[sk]=Silný textový procesor vi
+Comment[sl]=Zmogljivi urejevalnik vi
+Comment[sr]=Moćni vi editor
+Comment[sv]=En kraftfull texteditor
+Comment[ta]=ºì¾¢Å¡öó¾ vi ¦¾¡ÌôÀ¡Ç÷
+Comment[tr]=Güçlü vi düzenleyicisi
+Comment[uk]=Потужний редактор vi
+Comment[zh_CN.GB2312]=功能强大的 vi 编辑器
+MimeType=text/english;text/plain;text/x-makefile;text/x-c++hdr;text/x-c++src;text/x-chdr;text/x-csrc;text/x-java;text/x-moc;text/x-pascal;text/x-tcl;text/x-tex;application/x-shellscript;text/x-c;text/x-c++;
+Exec=gvim -f %F
+Icon=gvim
+Type=Application
+Terminal=false
+X-XClassHintResName=VIM
+Categories=Utility;TextEditor;

Deleted: gvim.install
===================================================================
--- gvim.install	2012-01-17 03:35:08 UTC (rev 146754)
+++ gvim.install	2012-01-17 03:35:34 UTC (rev 146755)
@@ -1,11 +0,0 @@
-post_install() {
-  update-desktop-database -q
-}
-
-post_upgrade() {
-  post_install $1
-}
-
-post_remove() {
-  post_install $1
-}

Copied: vim/repos/extra-i686/gvim.install (from rev 146754, vim/trunk/gvim.install)
===================================================================
--- gvim.install	                        (rev 0)
+++ gvim.install	2012-01-17 03:35:34 UTC (rev 146755)
@@ -0,0 +1,11 @@
+post_install() {
+  update-desktop-database -q
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+post_remove() {
+  post_install $1
+}

Deleted: vimrc
===================================================================
--- vimrc	2012-01-17 03:35:08 UTC (rev 146754)
+++ vimrc	2012-01-17 03:35:34 UTC (rev 146755)
@@ -1,16 +0,0 @@
-" All system-wide defaults are set in $VIMRUNTIME/archlinux.vim (usually just
-" /usr/share/vim/vimfiles/archlinux.vim) and sourced by the call to :runtime
-" you can find below.  If you wish to change any of those settings, you should
-" do it in this file (/etc/vimrc), since archlinux.vim will be overwritten
-" everytime an upgrade of the vim packages is performed.  It is recommended to
-" make changes after sourcing archlinux.vim since it alters the value of the
-" 'compatible' option.
-
-" This line should not be removed as it ensures that various options are
-" properly set to work with the Vim-related packages.
-runtime! archlinux.vim
-
-" If you prefer the old-style vim functionalty, add 'runtime! vimrc_example.vim'
-" Or better yet, read /usr/share/vim/vim72/vimrc_example.vim or the vim manual
-" and configure vim to your own liking!
-

Copied: vim/repos/extra-i686/vimrc (from rev 146754, vim/trunk/vimrc)
===================================================================
--- vimrc	                        (rev 0)
+++ vimrc	2012-01-17 03:35:34 UTC (rev 146755)
@@ -0,0 +1,16 @@
+" All system-wide defaults are set in $VIMRUNTIME/archlinux.vim (usually just
+" /usr/share/vim/vimfiles/archlinux.vim) and sourced by the call to :runtime
+" you can find below.  If you wish to change any of those settings, you should
+" do it in this file (/etc/vimrc), since archlinux.vim will be overwritten
+" everytime an upgrade of the vim packages is performed.  It is recommended to
+" make changes after sourcing archlinux.vim since it alters the value of the
+" 'compatible' option.
+
+" This line should not be removed as it ensures that various options are
+" properly set to work with the Vim-related packages.
+runtime! archlinux.vim
+
+" If you prefer the old-style vim functionalty, add 'runtime! vimrc_example.vim'
+" Or better yet, read /usr/share/vim/vim72/vimrc_example.vim or the vim manual
+" and configure vim to your own liking!
+




More information about the arch-commits mailing list